{
  "format_version": "1.17.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "silverlabs_nat:elephant",
      "population_control": "animal"
    },
    "conditions": [
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:mud",
          "minecraft:sand",
          "minecraft:mangrove_roots",
          "minecraft:muddy_mangrove_roots"
        ],
        "minecraft:brightness_filter": {
          "min": 9,
          "max": 15,
          "adjust_for_weather": false
        },
        "minecraft:weight": {
          "default": 19
        },
        "minecraft:herd": {
          "min_size": 2,
          "max_size": 3,
          "event": "silverlabs_nat:entity_born",
          "event_skip_count": 2
        },
        "minecraft:biome_filter": {
          "test": "has_biome_tag",
          "operator": "==",
          "value": "savanna"
        }
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:mud",
          "minecraft:sand",
          "minecraft:mangrove_roots",
          "minecraft:muddy_mangrove_roots"
        ],
        "minecraft:brightness_filter": {
          "min": 9,
          "max": 15,
          "adjust_for_weather": false
        },
        "minecraft:weight": {
          "default": 19
        },
        "minecraft:herd": {
          "min_size": 2,
          "max_size": 3,
          "event": "silverlabs_nat:entity_born",
          "event_skip_count": 2
        },
        "minecraft:biome_filter": {
          "any_of": [
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:mediterranean_forest"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:old_growth_woodland"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:scrubland"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:woodland"
            }
          ]
        }
      }
    ]
  }
}
